fnhp.net
当前位置:首页 >> x64.rpm >>

x64.rpm

1、下载后,首先把jdk-7u3-linux-x64.rpm复制到/usr/local/src#cp jdk-7u3-linux-x64.rpm /usr/local/src/2、给所有用户添加可执行权限#chmod +x jdk-7u3-linux-x64.rpm3、开始安装程序#rpm -ivh jdk-7u3-linux-x64.rpm接下来就是等待安装结束了.4、

rpm包都是已经配置好了的,你只能直接安装,先进到rpm包的文件夹rpm -ivh jdk-8u25-linux-x64.rpm

Ubuntu系统应该下载已deb为后缀的包然后输入命令dpkg -i *.deb[那个星号代表的文件名]如果是bin的就输入./*.bin 如果不行的话改属性 让它变为可执行的

如果你已经有了rpm包,那么就只需要使用以下命令安装rpm -ivh jdk-7u79-linux-x64.rpm或者 yum install jdk-7u79-linux-x64.rpm

1. jdk-7u5-linux-x64.rpm.bin是可执行自解压程序,需要像命令那样执行,所以需要#chmod +x jdk-7u5-linux-x64.rpm.bin(追加可执行属性)然后执行./jdk-7u5-linux-x64.rpm.bin,或者直接用 sh jdk-7u5-linux-x64.rpm.bin2.jdk-7u5-linux-x64.rpm是rpm安装文件,在红帽系列系统中可以安装,但吴邦图中不行使用命令rmp -ivh jdk-7u5-linux-x64.rpm

楼上错误.其实都是jdk6.0,但绑定的东西不同而已1是纯jdk6.0不含其他包,就是通用jdk,什么工具软件架构都能用的.2是oracle提供的jdk6.0+javafx1.3的包,里面除了jdk6还包含一些javafx用到的jar包等.3是jdk6.0+netbeans开发环境需要的一些常用jar包.4是jdk6.0+j2ee需要的一些常用jar包及一些实例等

看截图,提示函数执行失败,那么一般的原因就是没有安装相应的依赖软件包,所以会在调用相关函数的时候,由于找不到函数而导致安装失败,具体楼主可以百度《Linux就该这么学》,里面有关于如何在Linux系统下安装jdk的相应教程.

entos EPEL安装和配置安装Centos后,使用yum搜索某些rpm包,很有可能找不到.因为CentOS是RedHat企业版编译过来的,去掉了所有关于版权问题的东西.安装EPEL后可以很好的解决这个问题.EPEL(Extra Packages for Enterprise Linux )即企业版Linux的扩展包,提供了很多可共Centos使用的组件,但是当与其它第三方软件库混合使用时,可能会出现一些问题,不过就目前的体验来看,安装完这个以后基本常用的rpm都可以找到了^_^

rpm表示转速.rpm即resolutions per minute,是转速的国际单位,r/min,或者是转/分.

如果jdk包已经从oracle官网上下好的话,最多5分钟就安好,因为就只需解压jdk包,再配置java环境变量;否则下jdk包就要很长时间,尤其是在网络不好的情况下.

相关文档
网站首页 | 网站地图
All rights reserved Powered by www.fnhp.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com